phing-types

# Class: RegularExpression Source Location: /types/RegularExpression.php
### Class Overview
    ProjectComponent
       |
       --DataType
          |
          --RegularExpression
A regular expression datatype. Keeps an instance of the #### Author(s): <href="mailto:yl@seasonfive.com" a href="mailto:yl@seasonfive.com">Yannick Lecaillez</a> #### Version: $Revision: 557 $ $Date: 2009-08-29 15:54:38 +0200 (Sat, 29 Aug 2009) $ | ### Methods __construct getIgnoreCase getPattern getRef getRegexp getReplace setIgnoreCase setPattern setReplace
### Inherited Variables #### Class: DataType DataType::$checked DataType::$description DataType::$ref #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: DataType DataType::circularReference() Creates an exception that indicates the user has generated a loop of data types referencing each other. DataType::dieOnCircularReference() Check to see whether any DataType we hold references to is included in the Stack (which holds all DataType instances that directly or indirectly reference this instance, including this instance itself). DataType::getCheckedRef() Performs the check for circular references and returns the referenced object. DataType::getDescription() Return the description for the current data type. DataType::isReference() Has the refid attribute of this element been set? DataType::noChildrenAllowed() Creates an exception that indicates that this XML element must not have child elements if the refid attribute is set. DataType::parsingComplete() Template method being called when the data type has been parsed completely. DataType::setDescription() Sets a description of the current data type. It will be useful in commenting what we are doing. DataType::setRefid() Set the value of the refid attribute. DataType::tooManyAttributes() Creates an exception that indicates that refid has to be the only attribute if it is set. #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 39] A regular expression datatype. Keeps an instance of the compiled expression for speed purposes. This compiled expression is lazily evaluated (it is compiled the first time it is needed). The syntax is the dependent on which regular expression type you are using. #### Tags:
author: | <href="mailto:yl@seasonfive.com" a href="mailto:yl@seasonfive.com">Yannick Lecaillez</a>
version: | $Revision: 557 $ $Date: 2009-08-29 15:54:38 +0200 (Sat, 29 Aug 2009) $
see: | phing.util.regex.RegexMatcher
access: | public
[ Top ] ### Class Methods ### constructor __construct [line 44]
`RegularExpression __construct( )`
[ Top ] ### method getIgnoreCase [line 77]
`void getIgnoreCase( )`
[ Top ] ### method getPattern [line 56]
`void getPattern( $p)`
#### Parameters:
| $p |
[ Top ] ### method getRef [line 89]
`void getRef( $p)`
#### Parameters:
Project | $p |
[ Top ] ### method getRegexp [line 81]
`void getRegexp( $p)`
#### Parameters:
Project | $p |
[ Top ] ### method getReplace [line 64]
`void getReplace( $p)`
#### Parameters:
| $p |
[ Top ] ### method setIgnoreCase [line 73]
`void setIgnoreCase( $bit)`
#### Parameters:
| $bit |
[ Top ] ### method setPattern [line 48]
`void setPattern( $pattern)`
#### Parameters:
| $pattern |
[ Top ] ### method setReplace [line 52]
`void setReplace( $replace)`
#### Parameters:
| $replace |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:53 +0200 by phpDocumentor 1.4.3